<?php

/**
 * @file
 * Groundwork theme implementation to display a single Drupal page while offline.
 *
 * All the available variables are mirrored in html.tpl.php and page.tpl.php.
 * Some may be blank but they are provided for consistency.
 *
 * @see template_preprocess()
 * @see template_preprocess_maintenance_page()
 */
?>
<?php print $doctype; ?>
<!--[if lt IE 7]> <html class="ie6 ie" lang="<?php print $language->language; ?>" dir="<?php print $language->dir; ?>" <?php print $rdf->version . $rdf->namespaces; ?>> <![endif]-->
<!--[if IE 7]>    <html class="ie7 ie" lang="<?php print $language->language; ?>" dir="<?php print $language->dir; ?>" <?php print $rdf->version . $rdf->namespaces; ?>> <![endif]-->
<!--[if IE 8]>    <html class="ie8 ie" lang="<?php print $language->language; ?>" dir="<?php print $language->dir; ?>" <?php print $rdf->version . $rdf->namespaces; ?>> <![endif]-->
<!--[if gt IE 8]> <!--> <html class="" lang="<?php print $language->language; ?>" dir="<?php print $language->dir; ?>" <?php print $rdf->version . $rdf->namespaces; ?>> <!--<![endif]-->
<head<?php print $rdf->profile; ?>>
  <?php print $head; ?>
  <title><?php print $head_title; ?></title>
  <?php print $styles; ?>
  <?php print $scripts; ?>
  <!-- IE Fix for HTML5 Tags -->
  <!--[if lt IE 9]>
    <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
</head>

<body class="<?php print $classes; ?>" <?php print $attributes;?>>
  <div id="page-wrapper">
  <div id="page">


    <div id="skip-link">
      <a href="#main-content" class="element-invisible element-focusable"><?php print t('Skip to main content'); ?></a>
      <?php if ($main_menu): ?>
      <a href="#navbar" class="element-invisible element-focusable"><?php print t('Skip to navigation'); ?></a>
      <?php endif; ?>
    </div>


    <header id="sector-header" class="noceda-sector">

      <?php if ($page['topbar']): ?>
      <div id="topbar-zone" class="noceda-zone-wrapper clearfix">
        <section id="topbar-section" class="container-24 noceda-section clearfix">

          <div id="topbar" class="noceda-region">
            <?php print render($page['topbar']); ?>
          </div>

        </section><!-- /#topbar-section -->
      </div><!-- /#topbar-zone -->
      <?php endif; ?>


      <div id="header-zone" class="noceda-zone-wrapper clearfix">
        <div id="header" class="container-24 noceda-section clearfix">
          <div id="header-inner" class="clearfix">

          <section id="branding" role="banner" class="noceda-region">

            <?php if ($logo): ?>
            <div id="logo-image">
              <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" id="logo" rel="home">
                <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
              </a>
            </div><!-- /#logo-image -->
            <?php endif; ?>

            <?php if ($site_name || $site_slogan): ?>
            <div id="name-and-slogan">
              <hgroup>
                <?php if ($site_name): ?>
                <h1 id="site-name">
                  <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><span><?php print $site_name; ?></span></a>
                </h1>
                <?php endif; ?>
                <?php if ($site_slogan): ?>
                <h2 id="site-slogan"> <?php print $site_slogan; ?> </h2>
                <?php endif; ?>
              </hgroup>
            </div><!-- /#name-and-slogan -->
            <?php endif; ?>

          </section><!-- /#branding -->

          <div id="header-region" class="noceda-region">
            <?php print render($page['header']); ?>
          </div><!-- /#header-region -->
          </div>
        </div><!-- /#header -->
      </div><!-- /#header-zone -->


    </header><!-- /#sector-header -->


    <section id="sector-content" class="noceda-sector">

      <div id="main-zone" class="noceda-zone">
        <div id="main" class="container-24 clearfix">
          <div class="columns noceda-section clearfix">

            <div id="main-content" role="main">
              <div id="main-content-inner" class="clearfix">



                <?php print $messages; ?>

                <?php print render($title_prefix); ?>
                <?php if ($title): ?>
                  <h1 class="title" id="page-title"><?php print $title; ?></h1>
                <?php endif; ?>
                <?php print render($title_suffix); ?>

                <?php print render($page['help']); ?>

                <?php if ($page['content']): ?>
                <div id="content">
                  <?php print render($page['content']); ?>
                </div> <!-- /#content -->
                <?php endif; ?>


              </div> <!-- /#main-content-inner -->
            </div> <!-- /#main-content -->

          </div>
        </div><!-- /#main -->
      </div> <!-- /#main-zone -->

    </section><!-- /#section-content -->


    <footer id="sector-footer" class="noceda-sector">

      <div id="footer-zone" class="noceda-zone-wrapper clearfix">
        <section id="footer" role="contentinfo" class="container-24 noceda-section clearfix">

          <?php if ($attribution): ?>
          <div id="attribution" class="noceda-region">
            <?php print $attribution; ?>
          </div>
          <?php endif; ?>

        </section><!-- /#footer -->
      </div> <!-- /#footer-zone -->

    </footer><!-- /#section-footer -->


  </div><!-- /#page -->
  </div><!-- /#page-wrapper -->

</body>
</html>